	// ===============================================================
	// Global Var
	// ===============================================================
	
	// Edit Handler
	// _______________________________________________________________________
	var EDIT_HANDLER = function(){};	
	EDIT_HANDLER.REF_IS_MODIFIED = false;
	EDIT_HANDLER.HAS_NEWLY_SAVED_DATA = false;
	var PROPERTY_PARENT_ID = 0;
	var PROPERTY_PARENT_DESCRIPTION = "";
	
	
	// Cache
	// _______________________________________________________________________
	var PROPERTY_ACC_APK_ID = -1;
	var PROPERTY_EDIT_MODE = false;
	var PROPERTY_EDIT_ROW_INDEX = -1;
	var INPUT_INSTANCE = null;
	
	
	// Buttons [Optional]
	// _______________________________________________________________________
	var ADD_BBI = null;
	var SAVE_BBI = null;
	var DELETE_BBI = null;
	var CANCEL_BBI = null;
	var NAVIGATION_BACK_BBI = null;
	
	var LOAD_MORE_BBI = null;
	var LOAD_PREV_BBI = null;
	var LOAD_NEXT_BBI = null;
	var LOAD_PAGING_CMB = null;
	var LOAD_PAGING_IGNORE_NEXT_REQUEST = false;
	
	var SEARCH_CMD = null;
	var PRINT_BBI = null;
	var EXPORT_BBI = null;
	
	
	// Dialog Controls [Optional]
	// _______________________________________________________________________
	var ACC_APK_DESCRIPTION_TXT = null;
	var ACC_APK_SETTINGS_A_TXT = null;
	var ACC_APK_SETTINGS_B_TXT = null;
	var ACC_APK_SETTINGS_C_TXT = null;
	var ACC_APK_SETTINGS_D_TXT = null;
	var ACC_APK_SETTINGS_E_TXT = null;
	var ACC_APK_REMARKS_TXT = null;
	var ACC_APK_STATUS_CMB = null;
	
	var SEARCH_ACC_APK_EXPIRTY_CMB = null;
	
	var PARAM_ACC_APK_ID_FILE_FP = null;
	
	
	// DGV Controls
	// _______________________________________________________________________
	var APK_DGV = null;
	var APK_LAST_GET_MAP_ARRAY = null;


	// ===============================================================
	// Initialize Controls
	// ===============================================================     
	function FORM_INITIALIZE()
	{
		// Load Cache Parent Data [Add Redirects if this is a required data.]
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_APK"))
		{
			PROPERTY_PARENT_ID = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_ID_APK");
		}	
		else
		{
			//window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];
			//window.close();
		}
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_APK"))
		{
			PROPERTY_PARENT_DESCRIPTION = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_DESCRIPTION_APK");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_PARENT_DESCRIPTION_TXT") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_PARENT_DESCRIPTION_TXT", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_PARENT_DESCRIPTION_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_PARENT_DESCRIPTION_LBL", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_TITLE_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL") + " : " + PROPERTY_PARENT_DESCRIPTION);	
			}
		}	
		else
		{
			//window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];	
		}
	
		// Restore Cache on reload
		// ...........................................	
		if
		(
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_APK") || 
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_APK")
		)
		{
			  window.onbeforeunload = function(event)
			  {
					// Get Current Root path
					var CURRENT_ROOT_PATH = JSCUS_CACHE.ROOT_PATH + JSVC_STR.VAR_MID(JSVC_STR.VAR_DLEFT(JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS], JSCUS_CACHE.SERVER_URL.length), 1, 1);
				
					// Cache Primary Key
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_ID_APK', 
						PROPERTY_PARENT_ID, 
						5, 
						CURRENT_ROOT_PATH
					);
					
					// Cache Description
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_DESCRIPTION_APK', 
						PROPERTY_PARENT_DESCRIPTION, 
						5, 
						CURRENT_ROOT_PATH
					);
			  };
		}
		
 		// Cache Class Properties
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_ACC_APK_ID"))
		{
			PROPERTY_ACC_APK_ID = JSVC_COOKIE.VAR_READ("PROPERTY_ACC_APK_ID");
		}	
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_EDIT_MODE"))
		{
			PROPERTY_EDIT_MODE = JSVC_COOKIE.VAR_READ("PROPERTY_ACC_APK_ID");
		}
	
		// Initialize: Modals
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("APK_MODAL") == true)
		{
			// Display Modal
			JSOC_DIALOG.VAR_MODAL("APK_MODAL", false);
		}
				
		// Initialize: Ribbon Buttons [Add Item]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ADD_BBI"))
		{
    		ADD_BBI = JSOC_ELEMENT.VAR_GET("ADD_BBI");     	
			
			// Add OnClick event [Show Modal]
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("APK_MODAL"))
			{
				ADD_BBI.onclick = 
					function()
					{		
						// Display Modal
						PROPERTY_ACC_APK_ID = FLAG_BIGINT_NULL;
						PROPERTY_EDIT_ROW_INDEX = -1;
						
						if(JSVC_VAR.VAR_ISSET(INPUT_INSTANCE))
						{
							JSOC_WINDOW.VAR_INPUT_INSTANCE_RESTORE(INPUT_INSTANCE);
						}
						EDIT_HANDLER.REF_IS_MODIFIED = true;
						JSOC_DIALOG.VAR_MODAL("APK_MODAL", true);
					};					
			}
			// Add OnClick event [Show Add/Edit Page]
			else
			{
				
			}
		}	
		
		// Initialize: Ribbon Buttons [Save Changes]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SAVE_BBI"))
		{
    		SAVE_BBI = JSOC_ELEMENT.VAR_GET("SAVE_BBI");     
			if(JSVC_VAR.VAR_ISSET(HTTP_SAVE))
			{
				// Prepare Save callback
				var CALLBACK_HANDLER = 
					function(IS_SUCCESS)
					{
						// Abort on failure
						if(IS_SUCCESS == false)
						{
							return;
						}
					
						// Show record saved messageBox
						JSVC_INFO.VAR_RECORD_SAVED('');
					};
				
				// Add OnClick event
				SAVE_BBI.onclick = 
					function()
					{
						HTTP_SAVE(CALLBACK_HANDLER);
					};
			}
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("CANCEL_BBI"))
		{
    		CANCEL_BBI = JSOC_ELEMENT.VAR_GET("CANCEL_BBI");      		
		}
		
		// Initialize: Ribbon Buttons [Add Back Link (to parent page)]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("NAVIGATION_BACK_BBI"))
		{
    		NAVIGATION_BACK_BBI = JSOC_ELEMENT.VAR_GET("NAVIGATION_BACK_BBI");  
			
			// Add OnClick event
			NAVIGATION_BACK_BBI.onclick = 
				function()
				{
				};
		}
		
		// Initialize: Ribbon Buttons [Add Forward Link (to child page)]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("NAVIGATION_BACK_BBI"))
		{
    		NAVIGATION_BACK_BBI = JSOC_ELEMENT.VAR_GET("NAVIGATION_BACK_BBI");  
			
			// Add OnClick event
			NAVIGATION_BACK_BBI.onclick = 
				function()
				{
				};	
		}
		
		// Initialize: Load more items to the list
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_MORE_BBI"))
		{
    		LOAD_MORE_BBI = JSOC_ELEMENT.VAR_GET("LOAD_MORE_BBI");  
			LOAD_MORE_BBI.onclick = 
				function()
				{
					HTTP_SEARCH_LOAD_MORE();
				};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_PREV_BBI"))
		{
    		LOAD_PREV_BBI = JSOC_ELEMENT.VAR_GET("LOAD_PREV_BBI");  
			LOAD_PREV_BBI.onclick = 
				function()
				{
					var CURRENT_INDEX = JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB);
					if(CURRENT_INDEX > 0)
					{
						JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB, CURRENT_INDEX - 1);
						LOAD_PAGING_CMB.onchange();
					}
				};
		}		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_NEXT_BBI"))
		{
    		LOAD_NEXT_BBI = JSOC_ELEMENT.VAR_GET("LOAD_NEXT_BBI");  
			LOAD_NEXT_BBI.onclick = 
				function()
				{
					var CURRENT_INDEX = JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB);
					if(CURRENT_INDEX + 1 < JSOC_CMB.VAR_COUNT(LOAD_PAGING_CMB))
					{
						JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB, CURRENT_INDEX + 1);
						LOAD_PAGING_CMB.onchange();
					}
				};
		}		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_PAGING_CMB"))
		{
    		LOAD_PAGING_CMB = JSOC_ELEMENT.VAR_GET("LOAD_PAGING_CMB");  
			LOAD_PAGING_CMB.onchange = 
				function()
				{
					HTTP_SEARCH_LOAD_PAGE();
				};
		}

		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_CMD"))
		{
			SEARCH_CMD = JSOC_ELEMENT.VAR_GET("SEARCH_CMD");
			SEARCH_CMD.onclick = function(){HTTP_SEARCH()};
		}		

		// Initialize: Ribbon Buttons [Add Print]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PRINT_BBI"))
		{
			PRINT_BBI = JSOC_ELEMENT.VAR_GET("PRINT_BBI");
			PRINT_BBI.onclick = function()
			{
				window.print();
			};
		}		
		
		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("EXPORT_BBI"))
		{
			EXPORT_BBI = JSOC_ELEMENT.VAR_GET("EXPORT_BBI");
			EXPORT_BBI.onclick = function()
			{
				JSOC_DIALOG.VAR_LOADING_SPINNER(true);
				JSRC_THREAD.REF_POST_DELAYED			
				(
					async function()
					{
						await JSRC_EXCEL.REF_EXPORT('APK_DGV');
						CUS_SEND_DIALOG_TRY_DISMISS();
					},
					100
				);
			};
		}		

		
		// Prepare onChange event
		// ...........................................
		var ON_CHANGE_EVENT = '';
		
		
		// Initialize: Input Controls
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_APK_ID_TXT"))
		{
			ACC_APK_ID_TXT = JSOC_ELEMENT.VAR_GET("ACC_APK_ID_TXT");      
			ACC_APK_ID_TXT.onchange = 
				function()
				{
					if(ACC_APK_ID_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_APK_ID_TXT.onkeypress = function(){ACC_APK_ID_TXT.onchange();};
			ACC_APK_ID_TXT.onpaste = function(){ACC_APK_ID_TXT.onchange();};
			//ACC_APK_ID_TXT.oninput = function(){ACC_APK_ID_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_APK_DESCRIPTION_TXT"))
		{
			ACC_APK_DESCRIPTION_TXT = JSOC_ELEMENT.VAR_GET("ACC_APK_DESCRIPTION_TXT");      
			ACC_APK_DESCRIPTION_TXT.onchange = 
				function()
				{
					if(ACC_APK_DESCRIPTION_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_APK_DESCRIPTION_TXT.onkeypress = function(){ACC_APK_DESCRIPTION_TXT.onchange();};
			ACC_APK_DESCRIPTION_TXT.onpaste = function(){ACC_APK_DESCRIPTION_TXT.onchange();};
			//ACC_APK_DESCRIPTION_TXT.oninput = function(){ACC_APK_DESCRIPTION_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_APK_CODE_TXT"))
		{
			ACC_APK_CODE_TXT = JSOC_ELEMENT.VAR_GET("ACC_APK_CODE_TXT");      
			ACC_APK_CODE_TXT.onchange = 
				function()
				{
					if(ACC_APK_CODE_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_APK_CODE_TXT.onkeypress = function(){ACC_APK_CODE_TXT.onchange();};
			ACC_APK_CODE_TXT.onpaste = function(){ACC_APK_CODE_TXT.onchange();};
			//ACC_APK_CODE_TXT.oninput = function(){ACC_APK_CODE_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_APK_SERIAL_TXT"))
		{
			ACC_APK_SERIAL_TXT = JSOC_ELEMENT.VAR_GET("ACC_APK_SERIAL_TXT");      
			ACC_APK_SERIAL_TXT.onchange = 
				function()
				{
					if(ACC_APK_SERIAL_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_APK_SERIAL_TXT.onkeypress = function(){ACC_APK_SERIAL_TXT.onchange();};
			ACC_APK_SERIAL_TXT.onpaste = function(){ACC_APK_SERIAL_TXT.onchange();};
			//ACC_APK_SERIAL_TXT.oninput = function(){ACC_APK_SERIAL_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_APK_SETTINGS_A_TXT"))
		{
			ACC_APK_SETTINGS_A_TXT = JSOC_ELEMENT.VAR_GET("ACC_APK_SETTINGS_A_TXT");      
			ACC_APK_SETTINGS_A_TXT.onchange = 
				function()
				{
					if(ACC_APK_SETTINGS_A_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_APK_SETTINGS_A_TXT.onkeypress = function(){ACC_APK_SETTINGS_A_TXT.onchange();};
			ACC_APK_SETTINGS_A_TXT.onpaste = function(){ACC_APK_SETTINGS_A_TXT.onchange();};
			//ACC_APK_SETTINGS_A_TXT.oninput = function(){ACC_APK_SETTINGS_A_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_APK_SETTINGS_B_TXT"))
		{
			ACC_APK_SETTINGS_B_TXT = JSOC_ELEMENT.VAR_GET("ACC_APK_SETTINGS_B_TXT");      
			ACC_APK_SETTINGS_B_TXT.onchange = 
				function()
				{
					if(ACC_APK_SETTINGS_B_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_APK_SETTINGS_B_TXT.onkeypress = function(){ACC_APK_SETTINGS_B_TXT.onchange();};
			ACC_APK_SETTINGS_B_TXT.onpaste = function(){ACC_APK_SETTINGS_B_TXT.onchange();};
			//ACC_APK_SETTINGS_B_TXT.oninput = function(){ACC_APK_SETTINGS_B_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_APK_SETTINGS_C_TXT"))
		{
			ACC_APK_SETTINGS_C_TXT = JSOC_ELEMENT.VAR_GET("ACC_APK_SETTINGS_C_TXT");      
			ACC_APK_SETTINGS_C_TXT.onchange = 
				function()
				{
					if(ACC_APK_SETTINGS_C_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_APK_SETTINGS_C_TXT.onkeypress = function(){ACC_APK_SETTINGS_C_TXT.onchange();};
			ACC_APK_SETTINGS_C_TXT.onpaste = function(){ACC_APK_SETTINGS_C_TXT.onchange();};
			//ACC_APK_SETTINGS_C_TXT.oninput = function(){ACC_APK_SETTINGS_C_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_APK_SETTINGS_D_TXT"))
		{
			ACC_APK_SETTINGS_D_TXT = JSOC_ELEMENT.VAR_GET("ACC_APK_SETTINGS_D_TXT");      
			ACC_APK_SETTINGS_D_TXT.onchange = 
				function()
				{
					if(ACC_APK_SETTINGS_D_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_APK_SETTINGS_D_TXT.onkeypress = function(){ACC_APK_SETTINGS_D_TXT.onchange();};
			ACC_APK_SETTINGS_D_TXT.onpaste = function(){ACC_APK_SETTINGS_D_TXT.onchange();};
			//ACC_APK_SETTINGS_D_TXT.oninput = function(){ACC_APK_SETTINGS_D_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_APK_SETTINGS_E_TXT"))
		{
			ACC_APK_SETTINGS_E_TXT = JSOC_ELEMENT.VAR_GET("ACC_APK_SETTINGS_E_TXT");      
			ACC_APK_SETTINGS_E_TXT.onchange = 
				function()
				{
					if(ACC_APK_SETTINGS_E_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_APK_SETTINGS_E_TXT.onkeypress = function(){ACC_APK_SETTINGS_E_TXT.onchange();};
			ACC_APK_SETTINGS_E_TXT.onpaste = function(){ACC_APK_SETTINGS_E_TXT.onchange();};
			//ACC_APK_SETTINGS_E_TXT.oninput = function(){ACC_APK_SETTINGS_E_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_APK_REMARKS_TXT"))
		{
			ACC_APK_REMARKS_TXT = JSOC_ELEMENT.VAR_GET("ACC_APK_REMARKS_TXT");      
			ACC_APK_REMARKS_TXT.onchange = 
				function()
				{
					if(ACC_APK_REMARKS_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_APK_REMARKS_TXT.onkeypress = function(){ACC_APK_REMARKS_TXT.onchange();};
			ACC_APK_REMARKS_TXT.onpaste = function(){ACC_APK_REMARKS_TXT.onchange();};
			//ACC_APK_REMARKS_TXT.oninput = function(){ACC_APK_REMARKS_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_APK_EXPIRTY_DTP"))
		{
			ACC_APK_EXPIRTY_DTP = JSOC_ELEMENT.VAR_GET("ACC_APK_EXPIRTY_DTP");   
			JSOC_ELEMENT.VAR_VALUE(ACC_APK_EXPIRTY_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD" + "T00:00"));
			ACC_APK_EXPIRTY_DTP.onchange = 
				function()
				{
					if(ACC_APK_EXPIRTY_DTP.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_APK_EXPIRTY_DTP.onkeypress = function(){ACC_APK_EXPIRTY_DTP.onchange();};
			ACC_APK_EXPIRTY_DTP.onpaste = function(){ACC_APK_EXPIRTY_DTP.onchange();};
			ACC_APK_EXPIRTY_DTP.oninput = function(){ACC_APK_EXPIRTY_DTP.onchange();};					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_ACC_APK_EXPIRTY_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_ACC_APK_EXPIRTY_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_ACC_APK_EXPIRTY_FROM_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_ACC_APK_EXPIRTY_FROM_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_ACC_APK_EXPIRTY_TO_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_ACC_APK_EXPIRTY_TO_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', 7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_ACC_APK_EXPIRTY_CMB'))
		{
			// Initialize
			var SEARCH_ACC_APK_EXPIRTY_CMB = JSOC_ELEMENT.VAR_GET("SEARCH_ACC_APK_EXPIRTY_CMB");
			JSOC_DTP.VAR_CREATE_LIST(SEARCH_ACC_APK_EXPIRTY_CMB);
				
			// Setup onChange event
			SEARCH_ACC_APK_EXPIRTY_CMB.onchange = function()
			{
				if(SEARCH_ACC_APK_EXPIRTY_CMB.disabled == false)
				{
					JSOC_DTP.VAR_DATESET_ASSIGN
					(
						"SEARCH_ACC_APK_EXPIRTY_FROM_DTP", 
						"SEARCH_ACC_APK_EXPIRTY_TO_DTP", 
						SEARCH_ACC_APK_EXPIRTY_CMB
					);
				}
			};
				
			// Set to this week
			JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_ACC_APK_EXPIRTY_CMB', '3'); 
			SEARCH_ACC_APK_EXPIRTY_CMB.onchange();
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_APK_STATUS_CMB"))
		{
			ACC_APK_STATUS_CMB = JSOC_ELEMENT.VAR_GET("ACC_APK_STATUS_CMB");      	
			ACC_APK_STATUS_CMB.onchange = 
				function()
				{
					if(ACC_APK_STATUS_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			ACC_APK_STATUS_CMB.onkeypress = function(){ACC_APK_STATUS_CMB.onchange();};
			ACC_APK_STATUS_CMB.onpaste = function(){ACC_APK_STATUS_CMB.onchange();};
			//ACC_APK_STATUS_CMB.oninput = function(){ACC_APK_STATUS_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PARAM_ACC_APK_ID_FILE_FP"))
		{
			PARAM_ACC_APK_ID_FILE_FP = JSOC_ELEMENT.VAR_GET("PARAM_ACC_APK_ID_FILE_FP");
			PARAM_ACC_APK_ID_FILE_FP.onchange = 
				function()
				{
					if(PARAM_ACC_APK_ID_FILE_FP.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};			
		}
				
		
		// Initialize: Default Settings
		// ...........................................
		// FORM_PREPARE_DEFAULT_SETTINGS();   	
	};